import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { S as StyledHost } from './styled-host.js';
import { H as Header1 } from './header-1.js';
import { H as Header2 } from './header-2.js';
import { H as Header3 } from './header-3.js';

const JustifiHeader = /*@__PURE__*/ proxyCustomElement(class JustifiHeader extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
        this.__attachShadow();
        this.levels = {
            h1: Header1,
            h2: Header2,
            h3: Header3,
        };
        this.level = 'h1';
    }
    render() {
        const HeaderComponent = this.levels[this.level];
        return (h(StyledHost, { key: '5a0872ee486bdba3ba1c86145946889bb7d151f2' }, h(HeaderComponent, { key: '89807e249cdf64f7ef80800276cb50966083f28e', text: this.text, class: this.class })));
    }
}, [257, "justifi-header", {
        "text": [1],
        "level": [1],
        "class": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["justifi-header"];
    components.forEach(tagName => { switch (tagName) {
        case "justifi-header":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, JustifiHeader);
            }
            break;
    } });
}
defineCustomElement();

export { JustifiHeader as J, defineCustomElement as d };
